Bug 1571545 - NFP nic 1500 byte rfc 2544 throughput test shows very low results
Summary: NFP nic 1500 byte rfc 2544 throughput test shows very low results
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openvswitch
Version: 7.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Open vSwitch development team
QA Contact: ovs-qe
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 06:10 UTC by liting
Modified: 2018-06-04 11:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-09 03:44:01 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description liting 2018-04-25 06:10:12 UTC
Description of problem:


Version-Release number of selected component (if applicable):
openvswitch-2.9.0-17.el7fdp.x86_64
dpdk-17.11-7.el7.x86_6

How reproducible:


Steps to Reproduce:
1. Run vsperf pvp 1q/2pmd case with 1500bytes packet, loss rate configured 0 
2. Used 25g xena sender do the rfc 2544 throughput test


Actual results:
1q/2pmd 1500bytes case got 0.04-0.1mpps not was 1.6mpps, it was very low.
1q/2pmd 64bytes case can got 3mpps. but 1500 bytes always drops 1 packet occasionally.

Expected results:
1500 bytes case should not drop packet and got about 1.6mpps.

Additional info:
The 25g NFP nic detail info
[root@netqe14 ~]# ethtool -i enp130s0np0
driver: nfp
version: 3.10.0-862.el7.x86_64 SMP mod_u
firmware-version: 0.0.3.5 0.22 nic-2.0.4 nic
expansion-rom-version: 
bus-info: 0000:82:00.0
supports-statistics: yes
supports-test: no
supports-eeprom-access: no
supports-register-dump: yes
supports-priv-flags: no

[root@netqe14 ~]# lspci -s 0000:82:00.0
82:00.0 Ethernet controller: Netronome Systems, Inc. Device 4000

Comment 2 Christian Trautman 2018-04-25 18:56:22 UTC
This could be a cable problem or a problem with our layer 1 switch. I need time to investigate this further.


Note You need to log in before you can comment on or make changes to this bug.